Novell.Directory.Ldap 1.0.5000.0 System.Reflection.AssemblyKeyFile(KeyFile="../mono.pub") System.Reflection.AssemblyDelaySign(DelaySign=True) System.CLSCompliant(IsCompliant=True) System.Reflection.AssemblyCulture(Culture="") System.Reflection.AssemblyTrademark(Trademark="") System.Reflection.AssemblyCopyright(Copyright=" (C) 2003 Novell, Inc") System.Reflection.AssemblyProduct(Product="") System.Reflection.AssemblyCompany(Company="Novell, Inc") System.Reflection.AssemblyConfiguration(Configuration="") System.Reflection.AssemblyDescription(Description="Novell.Directory.Ldap") System.Reflection.AssemblyTitle(Title="C# LDAP") System.Object System.ICloneable
- Constructor
  Constructs a new LDAPConnection object, which represents a connection to an LDAP server.
  To be added.
- Field
  System.Int32 0 To be added. To be added.
- Field
  System.Int32 1 To be added. To be added.
- Field
  System.Int32 2 To be added. To be added.
- Field
  System.String 1.1 To be added. To be added.
- Field
  System.String * To be added. To be added.
- Field
  System.Int32 3 To be added. To be added.
- Field
  System.Int32 389 To be added. To be added.
- Field
  System.Int32 636 To be added. To be added.
- Field
  System.String version.sdk To be added. To be added.
- Field
  System.String version.protocol To be added. To be added.
- Field
  System.String version.security To be added. To be added.
- Field
  System.String 1.3.6.1.4.1.1466.20036 To be added. To be added.
- Method
  System.Object Returns a copy of the object with a private context, but sharing the network connection if there is one. To be added. To be added.
- Method
  System.Object `` To be added. To be added. To be added. To be added.
- Method
  System.Void `` Registers an object to be notified on arrival of an unsolicited message from a server. To be added. To be added.
- Method
  System.Void `` To be added. To be added. To be added.
- Method
  System.Void `` Notifies the server not to send additional results associated with this LDAPSearchResults object, and discards any results already received. To be added. To be added.
- Method
  System.Void `` `` Notifies the server not to send additional results associated with this LDAPSearchResults object, and discards any results already received using the specified constraints To be added. To be added. To be added.
- Method
  System.Void `` Abandons an asynchronous operation. To be added. To be added.
- Method
  System.Void `` `` Abandons an asynchronous operation, using the specified constraints. To be added. To be added. To be added.
- Method
  System.Void `` Abandons all outstanding operations managed by the queue. To be added. To be added.
- Method
  System.Void `` `` Abandons all outstanding operations managed by the queue, using the specified constraints. To be added. To be added. To be added.
- Method
  System.Void `` Synchronously adds an entry to the directory. LDAPEntry object specifying the distinguished name and attributes of the new entry. To be added.
- Method
  System.Void `` `` Synchronously adds an entry to the directory, using the specified constraints. LDAPEntry object specifying the distinguished name and attributes of the new entry. Constraints specific to the operation. To be added.
- Method
  Novell.Directory.Ldap.LdapResponseQueue `` `` Asynchronously adds an entry to the directory. LDAPEntry object specifying the distinguished name and attributes of the new entry. Handler for messages returned from a server in response to this request. If it is null, a queue object is created internally. To be added. To be added.
- Method
  Novell.Directory.Ldap.LdapResponseQueue `` `` `` Asynchronously adds an entry to the directory, using the specified constraints. LDAPEntry object specifying the distinguished name and attributes of the new entry. Handler for messages returned from a server in response to this request. If it is null, a queue object is created internally. Constraints specific to the operation. To be added. To be added.
- Method
  System.Void `` `` Synchronously authenticates to the LDAP server (that the object is currently connected to) using the specified name and password. To be added. To be added. To be added.
- Method
  System.Void `` `` `` Synchronously authenticates to the LDAP server (that the object is currently connected to) using the specified name, password, and LDAP version. To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` `` Synchronously authenticates to the LDAP server (that the object is currently connected to) using the specified name, password, and constraints. To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` `` `` Synchronously authenticates to the LDAP server (that the object is currently connected to) using the specified name, password, LDAP version, and constraints. To be added. To be added. To be added. To be added. To be added.
- Method
  System.CLSCompliant(IsCompliant=False)
  System.Void `` `` `` Synchronously authenticates to the LDAP server (that the object is currently connected to) using the specified name, password, and LDAP version. To be added. To be added. To be added. To be added.
- Method
  System.CLSCompliant(IsCompliant=False)
  System.Void `` `` `` `` Synchronously authenticates to the LDAP server (that the object is currently connected to) using the specified name, password, LDAP version, and constraints. To be added. To be added. To be added. To be added. To be added.
- Method
  System.CLSCompliant(IsCompliant=False)
  Novell.Directory.Ldap.LdapResponseQueue `` `` `` `` Asynchronously authenticates to the LDAP server (that the object is currently connected to) using the specified name, password, LDAP version, and queue. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  System.CLSCompliant(IsCompliant=False)
  Novell.Directory.Ldap.LdapResponseQueue `` `` `` `` `` Asynchronously authenticates to the LDAP server (that the object is currently connected to) using the specified name, password, LDAP version, queue, and constraints. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  System.Boolean `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  Novell.Directory.Ldap.LdapResponseQueue `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  Novell.Directory.Ldap.LdapResponseQueue `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  System.Void `` To be added. To be added. To be added.
- Method
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  Novell.Directory.Ldap.LdapResponseQueue `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  Novell.Directory.Ldap.LdapResponseQueue `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  System.Void To be added. To be added.
- Method
  System.Void `` To be added. To be added. To be added.
- Method
  Novell.Directory.Ldap.LdapExtendedResponse `` To be added. To be added. To be added. To be added.
- Method
  Novell.Directory.Ldap.LdapExtendedResponse `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  Novell.Directory.Ldap.LdapResponseQueue `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  Novell.Directory.Ldap.LdapResponseQueue `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  Novell.Directory.Ldap.LdapResponseQueue `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  Novell.Directory.Ldap.LdapResponseQueue `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  Novell.Directory.Ldap.LdapResponseQueue `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  Novell.Directory.Ldap.LdapResponseQueue `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  Novell.Directory.Ldap.LdapEntry `` To be added. To be added. To be added. To be added.
- Method
  Novell.Directory.Ldap.LdapEntry `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  Novell.Directory.Ldap.LdapEntry `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  Novell.Directory.Ldap.LdapEntry `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  Novell.Directory.Ldap.LdapEntry `` To be added. To be added. To be added. To be added.
- Method
  Novell.Directory.Ldap.LdapEntry `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  Novell.Directory.Ldap.LdapResponseQueue `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  Novell.Directory.Ldap.LdapResponseQueue `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  Novell.Directory.Ldap.LdapResponseQueue `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  Novell.Directory.Ldap.LdapResponseQueue `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  Novell.Directory.Ldap.LdapSearchResults `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  Novell.Directory.Ldap.LdapSearchResults `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  Novell.Directory.Ldap.LdapSearchQueue `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  Novell.Directory.Ldap.LdapSearchQueue `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  Novell.Directory.Ldap.LdapSearchResults `` To be added. To be added. To be added. To be added.
- Method
  Novell.Directory.Ldap.LdapSearchResults `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  Novell.Directory.Ldap.LdapMessageQueue `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  Novell.Directory.Ldap.LdapMessageQueue `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  Novell.Directory.Ldap.LdapSchema `` To be added. To be added. To be added. To be added.
- Method
  System.String To be added. To be added. To be added.
- Method
  System.String `` To be added. To be added. To be added. To be added.
- Property
  System.Int32 To be added. To be added. To be added.
- Property
  System.String To be added. To be added. To be added.
- Property
  System.String To be added. To be added. To be added.
- Property
  System.Collections.IDictionary To be added. To be added. To be added.
- Property
  System.Object To be added. To be added. To be added.
- Property
  Novell.Directory.Ldap.LdapConstraints To be added. To be added. To be added.
- Property
  System.String To be added. To be added. To be added.
- Property
  System.Int32 To be added. To be added. To be added.
- Property
  Novell.Directory.Ldap.LdapSearchConstraints To be added. To be added. To be added.
- Property
  System.Boolean To be added. To be added. To be added.
- Property
  System.Boolean To be added. To be added. To be added.
- Property
  Novell.Directory.Ldap.LdapControl[] To be added. To be added. To be added.
To be added. To be added.